"""
	ceap
	Actor class
"""

from object import *
from input import *
from myactions import *


class Actor(Object):
	def init(self, name = "None", group = ""):
		self.busy = False
		Object.init(self, name, group)
		
	def tick(self):
		if inputman.check("PRICMD"):
			if self.busy is True:
				self.end_actions(Walk)
				self.busy = False
			mpx, mpy = inputman.mousepos()
			walk = Walk(mpx, mpy, check_start = True, check_tick = True) + CallFunc(self.unbusy)
			self.do(walk)
			self.busy = True
			
		Object.tick(self)
		
	def unbusy(self):
		self.busy = False
		