"""
	ceap
	Main class
"""

try:
	import psyco
	psyco.profile()
except:
	pass

import config, helper
import gamescene
from gamescene import GameScene
from input import *
from gui import *

import os, ConfigParser
import pygame
from pygext.gl.all import *
from pygame.locals import *  # key constants

class Main:
	def __init__(self):
		print "Starting up"
		
		print "init screen"
		screen.init(config.RESOLUTION, config.VECTORRESOLUTION, config.FULLSCREEN, config.CAPTION)
		
		self.active_scene = "None"
		self.load(config.GAMECONFIGFILE)
		
		print "entering main method"
		self.main()
		print "main done"
		
		print "Quitting"

	def main(self):
		#director.run(menu.MenuScene, "bla")
		director.run(gamescene.scenes[self.active_scene])

	
	def load(self, cfgfile):
		# open & read config file
		print "game loading"
		self.ok = False
		parser = ConfigParser.ConfigParser()
		file = os.path.join(config.DATAPATH, cfgfile)
		try:
			f = open(file)
			parser.readfp(f)
		except:
			raise helper.ME("Game.load","read file "+file+" failed")
		
		for i in parser.items("scenes"):
			ipl = int(i[1])
			if ipl >= 0:
				pl = True
				if ipl is 0:
					pl = False
				gamescene.scenes[i[0]] = GameScene(name = i[0], preload = pl)
				
		inputman.load(cfgfile)
		guibase.load(cfgfile)
		
		self.ok = True
		
		#test
		self.active_scene = "aaaa"

		
		print "game loaded"

if __name__ == '__main__': Main()